import { BuildType } from '@cloudbase/lowcode-builder';
interface IBuildAPIContext {
    envId?: string;
    projectPath: string;
    logger?: Pick<typeof console, 'log' | 'info' | 'debug' | 'error' | 'warn'>;
    privateSettings?: any;
}
interface IBuilderInputs {
    config: string;
    mainAppSerializeData: any;
    cdnEndpoints?: {
        common?: string;
    };
    runtimeEndpointType?: 'tcb-api' | 'wechat-service';
    webOptions?: {
        gatewayConfig?: {
            path?: string;
        };
    };
}
export declare function buildApp(ctx: IBuildAPIContext, params: any): Promise<{
    src: any;
    preivew: any;
}>;
export declare function buildAppConfig(ctx: IBuildAPIContext, params: {
    out: string;
    buildTypeList: BuildType[];
    runtimeEndpointType?: IBuilderInputs['runtimeEndpointType'];
    domain?: string;
}): Promise<void>;
export {};
//# sourceMappingURL=index.d.ts.map