import * as RawDebug from 'debug';
import { ICodeItem } from '@cloudbase/cals';
import { IBuildCompsInfo } from '../comps';
export declare function pathEscape(path: string): string;
export declare function findFiles(name: string | RegExp, dir: string, recursion?: boolean, ignoreRegex?: RegExp): string[];
export declare const debug: RawDebug.Debugger;
export declare function showCliVersion(): void;
export declare const initLowcodeCloudApiEnv: (info: {
    privateSettings?: IBuildCompsInfo['privateSettings'];
}) => void;
/**
 * 指定目录下的文件转代码
 * 注意：该方法仅仅用于 code to cals 使用，请不要使用于其它用途
 */
export declare function fileToCode(dirPath: string, onlyPath?: boolean): Promise<ICodeItem[]>;
export declare const hasOwn: <T extends Record<string, any>>(obj: T, name: keyof T) => boolean;
//# sourceMappingURL=utils.d.ts.map